Package io.flutter.embedding.engine.systemchannels

## Class TextInputChannel.InputType

- java.lang.Object
- - io.flutter.embedding.engine.systemchannels.TextInputChannel.InputType

- Enclosing class:
    TextInputChannel

      public static class TextInputChannel.InputType
      extends Object

  A text input type.

  If the `type` is `TextInputChannel.TextInputType.NUMBER`, this `InputType` also reports whether that number `isSigned` and `isDecimal`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `isDecimal` |
    `boolean` | `isSigned` |
    `TextInputChannel.TextInputType` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InputType​(TextInputChannel.TextInputType type, boolean isSigned, boolean isDecimal)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TextInputChannel.InputType` | `fromJson​(JSONObject json)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          @NonNull
          public final TextInputChannel.TextInputType type

    - #### isSigned

          public final boolean isSigned

    - #### isDecimal

          public final boolean isDecimal

  - ### Constructor Detail

    - #### InputType

          public InputType​(@NonNull
                           TextInputChannel.TextInputType type,
                           boolean isSigned,
                           boolean isDecimal)

  - ### Method Detail

    - #### fromJson

          @NonNull
          public static TextInputChannel.InputType fromJson​(@NonNull
                                                            JSONObject json)
                                                     throws JSONException,
                                                            NoSuchFieldException

      Throws:
        `JSONException`
        `NoSuchFieldException`